aboutsummaryrefslogtreecommitdiff
path: root/tests/qemu-iotests/003
diff options
context:
space:
mode:
authorAnthony Liguori <aliguori@us.ibm.com>2012-02-24 09:37:27 -0600
committerAnthony Liguori <aliguori@us.ibm.com>2012-02-24 09:37:27 -0600
commit5105b6d88d1958de8c12672fba7e30a0b0f38653 (patch)
tree4fa2228b9b935e877fd1d8b245ae5ac3ebc0346f /tests/qemu-iotests/003
parent9ef1300b1b7d36794af30dcaf04e11184eb22dd2 (diff)
parentd06cddf517d2b33389c02971b353d10dd4edda1a (diff)
Merge remote-tracking branch 'kwolf/for-anthony' into staging
* kwolf/for-anthony: (46 commits) qemu-iotests: common.config: Allow use of arbitrary qemu* paths qemu-iotests: check: print relevant path information qemu-iotests: test loading internal snapshots qemu-iotests: Update filter for default cluster size qemu-iotests: add qed support to 025 image resize test qemu-iotests: Update rbd support qemu-iotests: common.config: Fix no $TEST_DIR directory qemu-iotests: only run 016 for file and sheepdog protocols qemu-iotests: Use zero-based offsets for IO patterns qemu-iotests: add support for rbd and sheepdog protocols qemu-iotests: filter IMGFMT correctly in 019 qemu-iotests: README: Fix spelling qemu-iotests: add support for qed format qemu-iotests: filter TEST_DIR correctly in 019 qemu-iotests: fix 019 golden output qemu-iotests: update expected results after qemu-img changes qemu-iotests: add read/write from smaller backing image test qemu-iotests: add sub-cluster allocating write test for sparse image formats qemu-iotests: improve test for qemu-img convert with backing file qemu-iotests: consider more cases in parsing qemu-io output ...
Diffstat (limited to 'tests/qemu-iotests/003')
-rwxr-xr-xtests/qemu-iotests/00378
1 files changed, 78 insertions, 0 deletions
diff --git a/tests/qemu-iotests/003 b/tests/qemu-iotests/003
new file mode 100755
index 0000000000..ee25fb8078
--- /dev/null
+++ b/tests/qemu-iotests/003
@@ -0,0 +1,78 @@
+#!/bin/bash
+#
+# Test simple read/write using bdrv_aio_readv/bdrv_aio_writev
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=hch@lst.de
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_supported_fmt generic
+_supported_proto generic
+_supported_os Linux
+
+size=128M
+offset=67M
+chunksize=8k
+
+_make_test_img $size
+
+echo
+echo "== reading whole image =="
+$QEMU_IO -c "readv 0 $size" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== rewriting whole image =="
+$QEMU_IO -c "writev -P 0xa 0 $size" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== verify pattern =="
+$QEMU_IO -c "readv -P 0xa 0 $size" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== vectored write =="
+$QEMU_IO -c "writev -P 0xb $offset $chunksize $chunksize \
+ $chunksize $chunksize $chunksize $chunksize $chunksize" \
+ $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== verify pattern =="
+$QEMU_IO -c "readv -P 0xb $offset $chunksize $chunksize \
+ $chunksize $chunksize $chunksize $chunksize $chunksize" \
+ $TEST_IMG | _filter_qemu_io
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0